$(document).ready(function() {
	$('#spodni_menu li a').click(function(e) {
		e.preventDefault();
		animateSlider(this.hash);
	});

	function animateSlider(hash) {
		if (!$('#hlavni div.open').length) {
			if (hash == '#domu') {
				openPopup(hash);
			}
			if (hash == '#onas') {
				openPopup(hash);
			}
			if (hash == '#kontakt') {
				openPopup(hash);
			}
		} else {
			if (hash == '#domu') {
				closePopup(hash)
			}
			if (hash == '#onas') {
				closePopup(hash)
			}
			if (hash == '#kontakt') {
				closePopup(hash)
			}
		}
	}

	function openPopup(hash) {
		$(hash + '_popup').slideToggle().addClass('open');
	}
	
	function closePopup(hash) {
		if ($(hash + '_popup').hasClass('open')) {
			$($(hash + '_popup')).slideToggle().removeClass();
		} else {
			$('#hlavni div.open').slideToggle().removeClass();
			$(hash + '_popup').slideToggle().addClass('open');
		}
	}
});